commit:     4f99f67047fd6a1ad8cdb69c4d6afe5034042237
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 18 11:38:55 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Jan 18 11:39:19 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f99f670

app-emulation/docker-compose: Version bump to 1.10.0

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-emulation/docker-compose/Manifest              |  1 +
 .../docker-compose/docker-compose-1.10.0.ebuild    | 69 ++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/app-emulation/docker-compose/Manifest 
b/app-emulation/docker-compose/Manifest
index 5ac1f81..7d6b9ba 100644
--- a/app-emulation/docker-compose/Manifest
+++ b/app-emulation/docker-compose/Manifest
@@ -1,2 +1,3 @@
+DIST docker-compose-1.10.0.tar.gz 165100 SHA256 
3ff5179d9b2e39f1fc7216d1184e03044074c54b28a2d30ec08abe3da1177e08 SHA512 
a3c7ac837ff036eb4f943a24c5b692654ea028e68306e60df675a7ac49e5099160b55e444fdf1d1f133d0da1270f199022f7cd3539e3b727fc81ea8711248f9e
 WHIRLPOOL 
230614937a454b503609b8e5e2ca2768d61815f3d6dae53fde4b00308bb36767dd6b46c4d35e66661210b2a218f32915d1c93ca9f3702804aa353bdef55543db
 DIST docker-compose-1.10.0_rc2.tar.gz 164871 SHA256 
54cf58d7b0dbdffbe1b3131326277fb9b7ff535b4c16bb1a72754983cad31738 SHA512 
ca08f665de893d1774d5bb2759053dcd9a32e42061e26b4fe6cc09beff64da625ef6ec9c669a144f80b2cc8ee3673cc64f6d465bb36096c254efeb680472a448
 WHIRLPOOL 
ce991effaf60358ae3c5911eafcbbef20ca3b2de84bb9497eaabb0430844902e5901de24f228019c85fb979eed3f76acc52775cff4d5f6e9d2954ba42be9a13b
 DIST docker-compose-1.9.0.tar.gz 156392 SHA256 
98fb664c79c06a0777af2540b83eaa63c6a05ae7eb9e7417193899df2f96e27f SHA512 
9d145807406ce4de3e91245bba4f774d80e0a39a81115fc111624e1a56b7e8a7505d49700df68b062efc65f8de661c8dca08067615a7504b3d7adf6c15d156d0
 WHIRLPOOL 
ca64f1e8e9c830c3cab01193be0d809cbb80fbea2a451dd7f51ff688d76a376a047bdc781471b292de06a275f933ebf755c4b24cc60fe19fe77fb4729101b9e5

diff --git a/app-emulation/docker-compose/docker-compose-1.10.0.ebuild 
b/app-emulation/docker-compose/docker-compose-1.10.0.ebuild
new file mode 100644
index 00000000..53ac9ab
--- /dev/null
+++ b/app-emulation/docker-compose/docker-compose-1.10.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_4} )
+
+inherit bash-completion-r1 distutils-r1 vcs-snapshot
+
+MY_PV=${PV//_/}
+
+DESCRIPTION="Multi-container orchestration for Docker"
+HOMEPAGE="https://www.docker.com/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+CDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/cached-property-1.2.0[${PYTHON_USEDEP}]
+       <dev-python/cached-property-2[${PYTHON_USEDEP}]
+       >=dev-python/colorama-0.3.7[${PYTHON_USEDEP}]
+       <dev-python/colorama-0.4[${PYTHON_USEDEP}]
+       >=dev-python/dockerpty-0.4.1[${PYTHON_USEDEP}]
+       <dev-python/dockerpty-0.5[${PYTHON_USEDEP}]
+       >=dev-python/docker-py-2.0.1[${PYTHON_USEDEP}]
+       <dev-python/docker-py-3.0[${PYTHON_USEDEP}]
+       >=dev-python/docopt-0.6.1[${PYTHON_USEDEP}]
+       <dev-python/docopt-0.7[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-2.5.1[${PYTHON_USEDEP}]
+       <dev-python/jsonschema-3[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
+       <dev-python/pyyaml-4[${PYTHON_USEDEP}]
+       !~dev-python/requests-2.11.0[${PYTHON_USEDEP}]
+       <dev-python/requests-2.12[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.6.1[${PYTHON_USEDEP}]
+       >=dev-python/six-1.3.0[${PYTHON_USEDEP}]
+       <dev-python/six-2[${PYTHON_USEDEP}]
+       >=dev-python/texttable-0.8.1[${PYTHON_USEDEP}]
+       <dev-python/texttable-0.9[${PYTHON_USEDEP}]
+       >=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]
+       <dev-python/websocket-client-1.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '>=dev-python/enum34-1.0.4[${PYTHON_USEDEP}]' 
'python2_7' )
+       $(python_gen_cond_dep '<dev-python/enum34-2[${PYTHON_USEDEP}]' 
'python2_7' )
+"
+DEPEND="
+       ${CDEPEND}
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 
'>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' 'python2_7' )
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_test() {
+       ${PYTHON} -m pytest tests/unit || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       newbashcomp contrib/completion/bash/docker-compose ${PN}
+
+       insinto /usr/share/zsh/site-functions
+       doins contrib/completion/zsh/*
+
+       distutils-r1_python_install_all
+}

Reply via email to